package com.ruoyi.traceability.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模切数据上传对象 pro_mqupload
 * 
 * @author wenjy
 * @date 2022-11-18
 */
public class ProMqUpload extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long id;

    /** 资源号 */
    @Excel(name = "资源号")
    private String resource;

    /** SFC */
    @Excel(name = "SFC")
    private String sfcStr;

    /** 工序 */
    @Excel(name = "工序")
    private String operation;

    /** 客户端标识 */
    @Excel(name = "客户端标识")
    private String clientId;

    /** 数据组 */
    @Excel(name = "数据组")
    private String dcGroup;

    /** 放卷方向 */
    @Excel(name = "放卷方向")
    private String upDirection;

    /** 收卷方向 */
    @Excel(name = "收卷方向")
    private String downDirection;

    /** 收卷轴 */
    @Excel(name = "收卷轴")
    private String downPosition;

    /** 是否首卷 */
    @Excel(name = "是否首卷")
    private String firstArticle;

    /** 物理面向 */
    @Excel(name = "物理面向")
    private String mqMaterialFace;

    /** 卷绕理论方向 */
    @Excel(name = "卷绕理论方向")
    private String jrDirection;

    /** S面数据 */
    @Excel(name = "S面数据")
    private String scw;

    /** B面数据 */
    @Excel(name = "B面数据")
    private String bcw;

    /** MES返回Code */
    @Excel(name = "MES返回Code")
    private Long isSuccess;

    /** MES返回信息 */
    @Excel(name = "MES返回信息")
    private String mesReturnInfo;

    /** 记录时间 */
    @Excel(name = "记录时间")
    private String recordTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setResource(String resource) 
    {
        this.resource = resource;
    }

    public String getResource() 
    {
        return resource;
    }
    public void setSfcStr(String sfcStr) 
    {
        this.sfcStr = sfcStr;
    }

    public String getSfcStr() 
    {
        return sfcStr;
    }
    public void setOperation(String operation) 
    {
        this.operation = operation;
    }

    public String getOperation() 
    {
        return operation;
    }
    public void setClientId(String clientId) 
    {
        this.clientId = clientId;
    }

    public String getClientId() 
    {
        return clientId;
    }
    public void setDcGroup(String dcGroup) 
    {
        this.dcGroup = dcGroup;
    }

    public String getDcGroup() 
    {
        return dcGroup;
    }
    public void setUpDirection(String upDirection) 
    {
        this.upDirection = upDirection;
    }

    public String getUpDirection() 
    {
        return upDirection;
    }
    public void setDownDirection(String downDirection) 
    {
        this.downDirection = downDirection;
    }

    public String getDownDirection() 
    {
        return downDirection;
    }
    public void setDownPosition(String downPosition) 
    {
        this.downPosition = downPosition;
    }

    public String getDownPosition() 
    {
        return downPosition;
    }
    public void setFirstArticle(String firstArticle) 
    {
        this.firstArticle = firstArticle;
    }

    public String getFirstArticle() 
    {
        return firstArticle;
    }
    public void setMqMaterialFace(String mqMaterialFace) 
    {
        this.mqMaterialFace = mqMaterialFace;
    }

    public String getMqMaterialFace() 
    {
        return mqMaterialFace;
    }
    public void setJrDirection(String jrDirection) 
    {
        this.jrDirection = jrDirection;
    }

    public String getJrDirection() 
    {
        return jrDirection;
    }
    public void setScw(String scw) 
    {
        this.scw = scw;
    }

    public String getScw() 
    {
        return scw;
    }
    public void setBcw(String bcw) 
    {
        this.bcw = bcw;
    }

    public String getBcw() 
    {
        return bcw;
    }
    public void setIsSuccess(Long isSuccess) 
    {
        this.isSuccess = isSuccess;
    }

    public Long getIsSuccess() 
    {
        return isSuccess;
    }
    public void setMesReturnInfo(String mesReturnInfo) 
    {
        this.mesReturnInfo = mesReturnInfo;
    }

    public String getMesReturnInfo() 
    {
        return mesReturnInfo;
    }
    public void setRecordTime(String recordTime) 
    {
        this.recordTime = recordTime;
    }

    public String getRecordTime() 
    {
        return recordTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("resource", getResource())
            .append("sfcStr", getSfcStr())
            .append("operation", getOperation())
            .append("clientId", getClientId())
            .append("dcGroup", getDcGroup())
            .append("upDirection", getUpDirection())
            .append("downDirection", getDownDirection())
            .append("downPosition", getDownPosition())
            .append("firstArticle", getFirstArticle())
            .append("mqMaterialFace", getMqMaterialFace())
            .append("jrDirection", getJrDirection())
            .append("scw", getScw())
            .append("bcw", getBcw())
            .append("isSuccess", getIsSuccess())
            .append("mesReturnInfo", getMesReturnInfo())
            .append("recordTime", getRecordTime())
            .toString();
    }
}
